From 743c0d1044f8063484b2641d1511c02a8cf85401 Mon Sep 17 00:00:00 2001
From: Upgrade Helper <auh@yoctoproject.org>
Date: Wed, 15 Jan 2025 07:57:14 +0000
Subject: [PATCH] python3-typogrify: upgrade 2.0.7 -> 2.1.0

---
 ...fy_2.0.7.bb => python3-typogrify_2.1.0.bb} | 25 +++++++++++++++++--
 1 file changed, 23 insertions(+), 2 deletions(-)
 rename meta/recipes-devtools/python/{python3-typogrify_2.0.7.bb => python3-typogrify_2.1.0.bb} (26%)

diff --git a/meta/recipes-devtools/python/python3-typogrify_2.0.7.bb b/meta/recipes-devtools/python/python3-typogrify_2.1.0.bb
similarity index 26%
rename from meta/recipes-devtools/python/python3-typogrify_2.0.7.bb
rename to meta/recipes-devtools/python/python3-typogrify_2.1.0.bb
index 8ba2788c9b..06355ea137 100644
--- a/meta/recipes-devtools/python/python3-typogrify_2.0.7.bb
+++ b/meta/recipes-devtools/python/python3-typogrify_2.1.0.bb
@@ -1,12 +1,33 @@
+# FIXME: the LIC_FILES_CHKSUM values have been updated by 'devtool upgrade'.
+# The following is the difference between the old and the new license text.
+# Please update the LICENSE value if needed, and summarize the changes in
+# the commit message via 'License-Update:' tag.
+# (example: 'License-Update: copyright years updated.')
+#
+# The changes:
+#
+# --- LICENSE.txt
+# +++ LICENSE.txt
+# @@ -1,5 +1,5 @@
+# -Copyright (c) 2007, Christian Metts
+# -Updates copyright (c) 2014, Justin Mayer
+# +Copyright (c) 2014–present, Justin Mayer
+# +Copyright (c) 2007–2013, Christian Metts
+#  All rights reserved.
+#  
+#  Redistribution and use in source and binary forms, with or without
+# 
+#
+
 SUMMARY = "Filters to enhance web typography, including support for Django & Jinja templates"
 HOMEPAGE = "https://github.com/mintchaos/typogrify"
 LICENSE = "BSD-3-Clause"
-LIC_FILES_CHKSUM = "file://LICENSE.txt;md5=12bc792d6f5415dbf421f3fd183c6dd2"
+LIC_FILES_CHKSUM = "file://LICENSE.txt;md5=b8558ebcc682078c1a44d0227573006d"
 
 inherit pypi setuptools3
 
 PYPI_PACKAGE = "typogrify"
-SRC_URI[sha256sum] = "8be4668cda434163ce229d87ca273a11922cb1614cb359970b7dc96eed13cb38"
+SRC_URI[sha256sum] = "f0aa004e98032a6e6be4c9da65e7eb7150e36ca3bf508adbcda82b4d003e61ee"
 
 BBCLASSEXTEND = "native nativesdk"
 
-- 
2.44.1

